Package org.silverpeas.components.kmelia.subscription

# Class KmeliaSubscriptionService

java.lang.Object
org.silverpeas.core.subscription.service.AbstractResourceSubscriptionService
org.silverpeas.core.contribution.publication.subscription.AbstractPublicationSubscriptionService
org.silverpeas.components.kmelia.subscription.KmeliaSubscriptionService

All Implemented Interfaces:
  `org.silverpeas.core.initialization.Initialization`, `org.silverpeas.core.subscription.ResourceSubscriptionService`

@Service public class KmeliaSubscriptionService extends org.silverpeas.core.contribution.publication.subscription.AbstractPublicationSubscriptionService

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.silverpeas.core.subscription.ResourceSubscriptionService

  `org.silverpeas.core.subscription.ResourceSubscriptionService.Constants`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmeliaSubscriptionService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getHandledComponentName()`

  ### Methods inherited from class org.silverpeas.core.contribution.publication.subscription.AbstractPublicationSubscriptionService

  `getSubscribersOfComponentAndTypedResource, init`

  ### Methods inherited from class org.silverpeas.core.subscription.service.AbstractResourceSubscriptionService

  `addAllSubscribersAboutNodePath, getNodeService, getSubscribersOfComponent, getSubscribersOfSubscriptionResource, getSubscriptionService`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.initialization.Initialization

  `getPriority, release`

- ## Constructor Details

  - ### KmeliaSubscriptionService

    public KmeliaSubscriptionService()

- ## Method Details

  - ### getHandledComponentName

    protected String getHandledComponentName()
    Specified by:
      `getHandledComponentName` in class `org.silverpeas.core.subscription.service.AbstractResourceSubscriptionService`